LogoThreatmatic

Impersonate User

POST
/admin/impersonate-user

Impersonate a user

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

userId*string

The user id

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://console.threatmatic.ai/api/auth/admin/impersonate-user" \  -H "Content-Type: application/json" \  -d '{    "userId": "string"  }'
{
  "session": {
    "id": "string",
    "expiresAt": "2019-08-24T14:15:22Z",
    "token": "string",
    "createdAt": "Generated at runtime",
    "updatedAt": "2019-08-24T14:15:22Z",
    "ipAddress": "string",
    "userAgent": "string",
    "userId": "string",
    "activeOrganizationId": "string",
    "activeTeamId": "string",
    "impersonatedBy": "string"
  },
  "user": {
    "id": "string",
    "name": "string",
    "email": "string",
    "emailVerified": false,
    "image": "string",
    "createdAt": "Generated at runtime",
    "updatedAt": "Generated at runtime",
    "lastLoginMethod": "string",
    "stripeCustomerId": "string",
    "role": "string",
    "banned": false,
    "banReason": "string",
    "banExpires": "2019-08-24T14:15:22Z",
    "lang": "en"
  }
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}